Devuan bug report logs - #190
ASCII (beta) expert install: despite selecting only main and contrib components non-free is included in sources.list

Severity: grave;
Package: debian-installer; Reported by: irrwahn35@freenet.de;
Date: Thu, 1 Mar 2018 11:48:01 UTC;
Tags: ascii; Done: KatolaZ <katolaz@freaknet.org>;
Maintainer for debian-installer is (unknown).

View this report as an mbox folder.


Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. Full text available.



Message sent:

From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: KatolaZ <katolaz@freaknet.org>
Subject: bug#190: marked as done (ASCII (beta) expert install: despite selecting only main and contrib components non-free is included in sources.list)

Your message dated Tue, 8 May 2018 14:21:35 +0100
with message-id <20180508132135.GB26360@katolaz.homeunix.net>
and subject line fixed
has caused the attached bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Devuan Bugs Owner
(administrator, Devuan bugs database)

--------------------------------------
Received: (at submit) by bugs.devuan.org; 1 Mar 2018 11:40:05 +0000
Return-Path: <irrwahn@freenet.de>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Thu, 01 Mar 2018 12:40:05 +0100 (CET)
Received: from mout2.freenet.de (mout2.freenet.de [195.4.92.92])
	(using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 898AAF604DD
	for <submit@bugs.devuan.org>; Thu,  1 Mar 2018 12:34:48 +0100 (CET)
Received: from [195.4.92.142] (helo=mjail2.freenet.de)
	by mout2.freenet.de with esmtpa (ID urban.wallasch@freenet.de) (port 25) (Exim 4.90_1 #2)
	id 1erMTN-0004P8-1z
	for submit@bugs.devuan.org; Thu, 01 Mar 2018 12:34:05 +0100
Received: from [::1] (port=60970 helo=mjail2.freenet.de)
	by mjail2.freenet.de with esmtpa (ID urban.wallasch@freenet.de) (Exim 4.90_1 #2)
	id 1erMTM-0000E5-UI
	for submit@bugs.devuan.org; Thu, 01 Mar 2018 12:34:05 +0100
Received: from mx10.freenet.de ([195.4.92.20]:57204)
	by mjail2.freenet.de with esmtpa (ID urban.wallasch@freenet.de) (Exim 4.90_1 #2)
	id 1erMQb-0005aF-8K
	for submit@bugs.devuan.org; Thu, 01 Mar 2018 12:31:13 +0100
Received: from p5797db79.dip0.t-ipconnect.de ([87.151.219.121]:45234 helo=[192.168.2.101])
	by mx10.freenet.de with esmtpsa (ID urban.wallasch@freenet.de) (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256) (port 465) (Exim 4.90_1 #2)
	id 1erMQb-0000xp-1T
	for submit@bugs.devuan.org; Thu, 01 Mar 2018 12:31:13 +0100
Reply-To: irrwahn35@freenet.de
From: Irrwahn <irrwahn@freenet.de>
Subject: ASCII (beta) expert install: despite selecting only main and contrib
 components non-free is included in sources.list
To: submit@bugs.devuan.org
Message-ID: <e8f33dad-0fe9-fe0a-1779-5b44f905d569@freenet.de>
Date: Thu, 1 Mar 2018 12:31:12 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Originated-At: 87.151.219.121!45234
X-Spam-Status: No, score=-0.9 required=5.0 tests=FREEMAIL_FROM,
	FREEMAIL_REPLYTO,FREEMAIL_REPLYTO_END_DIGIT,RCVD_IN_DNSWL_LOW,
	RCVD_IN_MSPIKE_H2,RP_MATCHES_RCVD,SPOOFED_FREEM_REPTO autolearn=disabled
	version=3.4.1
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org

Package: debian-installer
Version: 20180213+devuan1
Severity: grave
Tags: ascii
In expert install, when selecting to exclude non-free but include 
contrib components, non-free gets added to the ascii-security, 
ascii-updates, ascii-backports stanzas in /etc/apt/sources.list;
the plain ascii stanza is unaffected.

Contents of file /etc/apt/sources.list after netinst amd64 run:

# 

# deb cdrom:[Debian GNU/Linux 2.0.0-beta _Ascii_ - Official amd64 NETINST 20180213-11:35]/ ascii main non-free

#deb cdrom:[Debian GNU/Linux 2.0.0-beta _Ascii_ - Official amd64 NETINST 20180213-11:35]/ ascii main non-free

deb http://pkgmaster.devuan.org/merged ascii main contrib
deb-src http://pkgmaster.devuan.org/merged ascii main contrib

# ascii-security, previously known as 'volatile'
deb http://pkgmaster.devuan.org/merged ascii-security main contrib non-free
deb-src http://pkgmaster.devuan.org/merged ascii-security main contrib non-free

# ascii-updates, previously known as 'volatile'
deb http://pkgmaster.devuan.org/merged ascii-updates main contrib non-free
deb-src http://pkgmaster.devuan.org/merged ascii-updates main contrib non-free

# ascii-backports, previously on backports.debian.org
deb http://pkgmaster.devuan.org/merged ascii-backports main contrib non-free
deb-src http://pkgmaster.devuan.org/merged ascii-backports main contrib non-free

---------------------------------------
Received: (at 190-done) by bugs.devuan.org; 8 May 2018 13:30:04 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Tue, 08 May 2018 15:30:04 +0200 (CEST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id 75CA9F60872
Date: Tue, 8 May 2018 14:21:35 +0100
From: KatolaZ <katolaz@freaknet.org>
To: 190-done@bugs.devuan.org
Subject: fixed
Message-ID: <20180508132135.GB26360@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="2+IDmuKgu0wSQZlt"
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.1
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org


--2+IDmuKgu0wSQZlt
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Should be solved in ASCII RC.=20

--2+IDmuKgu0wSQZlt
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlrxpF8ACgkQXyCzrgtfBi+koACcDpUcFa9Azxbip8YDWor7Ddy6
4kEAmwZLOQ5vlDXUQqBpWu6NoYgw8Uka
=XGee
-----END PGP SIGNATURE-----

--2+IDmuKgu0wSQZlt--




Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu, 23 May 2019 22:49:57 UTC